﻿using Shared;

namespace Model.Repository;

public interface IUserRepository : IGenericRepository<User>
{
    public Task<IEnumerable<User>?> GetUsers(int index, int count, AthleteOrderCriteria? criteria , bool descending = false);
    public Task<bool> AddFriend(User user, User friend);
    public Task<bool> RemoveFriend(User user, User friend);
    public Task<IEnumerable<User>?> GetFriends(User user, int index, int count, AthleteOrderCriteria? criteria, bool descending = false);
    public Task<int> GetNbFriends(User user);
    public Task<IEnumerable<User>?> GetAllAthletes(int index, int count, AthleteOrderCriteria? criteria, bool descending = false);
    public Task<IEnumerable<User>?> GetAllCoaches(int index, int count, AthleteOrderCriteria? criteria, bool descending = false);
    
}